Subject: Re: linux-next: build failure after merge of the usb tree

From: Greg KH <[email-masked]>
Date: Wed, 17 Nov 2010 13:25:44 -0800

On Wed, Nov 17, 2010 at 10:56:01AM -0500, Alan Stern wrote:
> On Tue, 16 Nov 2010, Greg KH wrote:
> 
> > On Wed, Nov 17, 2010 at 01:14:53PM +1100, Stephen Rothwell wrote:
> > > Hi Greg,
> > > 
> > > After merging the usb tree, today's linux-next build (x86_64 allmodconfig)
> > > failed like this:
> > > 
> > > drivers/media/video/tlg2300/pd-main.c: In function 'poseidon_probe':
> > > drivers/media/video/tlg2300/pd-main.c:455: error: 'struct usb_device' has no member named 'autosuspend_delay'
> > > drivers/net/wimax/i2400m/usb.c: In function 'i2400mu_probe':
> > > drivers/net/wimax/i2400m/usb.c:517: error: 'struct usb_device' has no member named 'autosuspend_delay'
> > > 
> > > Caused by commit fcc4a01eb8661226e80632327673f67bf6a5840b ("USB: use the
> > > runtime-PM autosuspend implementation").  More grepping required ...
> > > 
> > > I have used the usb tree from next-20101116 for today.
> > 
> > Ick.  Alan, care to provide a patch?
> 
> Here it is.  I'm not sure that having this code at all is really the
> best approach.  It means the drivers will override any autosuspend
> values set by userspace when their devices are first detected.
> 
> Also there are bogus calls to device_init_wakeup(), and truly silly
> preprocessor tests of the kernel version in the staging-tree file.  
> Nevertheless, this is the minimal fix.

Don't worry about that staging driver that much, it has been massivly
cleaned up for .38, and then abandonded so the future of it is very
unlikely :)

I've applied this now, thanks.

greg k-h